package cz.moneta.test.dsl.mwf;

import java.util.Map;

public class MWF1F6TaskGroupOut {

    private Map<String, Object> params;
    
    public MWF1F6TaskGroupOut(Map<String, Object> params) {
        this.params = params;
    }

    public String rsTaskGroupType() {
        return (String) params.get("RS_TASK_GROUP_TYPE");
    }

    public String rsTaskGroupId() {
        return (String) params.get("RS_TASK_GROUP_ID");
    }

    public String rsTaskGroupName() {
        return (String) params.get("RS_TASK_GROUP_NAME");
    }

    public String rsTaskGroupSequenceMode() {
        return (String) params.get("RS_TASK_GROUP_SEQUENCE_MODE");
    }

    public String rsTaskGroupDocumentUrl() {
        return (String) params.get("RS_TASK_GROUP_DOCUMENT_URL");
    }

    public String rsTaskGroupSrcDocumentUrl() {
        return (String) params.get("RS_TASK_GROUP_SRC_DOCUMENT_URL");
    }

    public String rsTaskGroupFltDocumentUrl() {
        return (String) params.get("RS_TASK_GROUP_FLT_DOCUMENT_URL");
    }

    public Long rsTaskGroupResultCode() {
        return (Long) params.get("RS_TASK_GROUP_RESULT_CODE");
    }

    public String rsTaskGroupResultText() {
        return (String) params.get("RS_TASK_GROUP_RESULT_TEXT");
    } 

}
